=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 ifeq ($(SYS_BLKID_VER),2)
 UTIL_LINUX_NG ?= yes
 endif
+# no chance that pkg-create-dbgsym can cope with this package's manual construction of -dbg
+export NO_PKG_MANGLE=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -24,6 +26,7 @@
 DEB_HOST_OS   ?= $(shell dpkg-architecture -qDEB_HOST_OS)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
 
 # find the version for the main package, from changelog file
 MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
@@ -127,8 +130,8 @@
 
 BF_CFLAGS = -Os -fomit-frame-pointer
 
-COMMON_CONF_FLAGS =  \
-                --enable-elf-shlibs --infodir=/usr/share/info
+COMMON_CONF_FLAGS = --disable-e2initrd-helper --enable-elf-shlibs \
+	--enable-quota --infodir=/usr/share/info
 ifeq ($(UTIL_LINUX_NG),yes)
 COMMON_CONF_FLAGS += --disable-fsck --disable-libblkid \
 			--disable-libuuid --disable-uuidd
@@ -136,15 +139,23 @@
 COMMON_CONF_FLAGS += --enable-fsck
 endif
 
-STD_CONF_FLAGS = --enable-symlink-install
+ifneq ($(strip $(DEB_HOST_MULTIARCH)),)
+MULTIARCH_CONF = --with-multiarch=$(DEB_HOST_MULTIARCH)
+# This doesn't work yet because gdb and lintian don't expect and/or
+# don't work with /usr/lib/<triplet>/debug
+#USRLIB = /usr/lib/$(DEB_HOST_MULTIARCH)
+USRLIB = /usr/lib
+else
+USRLIB = /usr/lib
+endif
+
+STD_CONF_FLAGS = --enable-symlink-install $(MULTIARCH_CONF)
 
 BF_CONF_FLAGS = --disable-nls --disable-imager --disable-testio-debug \
-	--disable-uuidd --disable-tls \
-	--disable-debugfs  --disable-e2initrd-helper
+	--disable-uuidd --disable-tls --disable-debugfs
 
 STATIC_CONF_FLAGS = --disable-nls --disable-imager \
-	--disable-uuidd --disable-tls \
-	--disable-e2initrd-helper
+	--disable-uuidd --disable-tls
 
 MIPS_NOPIC_CONF_FLAGS = --disable-nls --disable-imager \
 	--disable-uuidd --disable-tls \
@@ -167,13 +178,30 @@
 M4_ARGS+=-UUTIL_LINUX_NG
 endif
 
+ifneq ($(strip $(DEB_HOST_MULTIARCH)),)
+M4_ARGS+=-DDO_MULTIARCH
+else
+M4_ARGS+=-UDO_MULTIARCH
+endif
+
+FILES_FIXUP= libcomerr2.files comerr-dev.files libss2.files ss-dev.files \
+	libuuid1.files uuid-dev.files libblkid1.files libblkid-dev.files \
+	e2fslibs.files e2fslibs-dev.files
+
 debian-files: debian/control debian/e2fsprogs.shlibs.local
+ifeq ($(strip $(DEB_HOST_MULTIARCH)),)
+	for i in $(FILES_FIXUP); do \
+		sed -e 's;lib/\*/;lib/;' debian/$$i.in > debian/$$i; \
+	done
+else
+	for i in $(FILES_FIXUP); do cp debian/$$i.in debian/$$i; done
+endif
 
 mrproper: clean
 	rm debian/control debian/e2fsprogs.shlibs.local
 
 debian/control: debian/control.in debian/rules
-	m4 $(M4_ARGS) < debian/control.in > $@
+	m4 $(M4_ARGS) < debian/control.in | grep -v ^REMOVE_ME$$ > $@
 
 debian/e2fsprogs.shlibs.local: debian/e2fsprogs.shlibs.local.in
 	m4 $(M4_ARGS) < debian/e2fsprogs.shlibs.local.in > $@
@@ -202,39 +230,3 @@
 	cd ${mipsbuilddir} && AWK=/usr/bin/awk \
 		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} CFLAGS="${CFLAGS}"
 	cd ${mipsbuilddir64} && AWK=/usr/bin/awk \
-		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} CFLAGS="${CFLAGS}"
-endif
-
-	mkdir -p ${STAMPSDIR}
-	touch ${CFGSTDSTAMP}
-
-${CFGBFSTAMP}:
-	dh_testdir
-	rm -f config.cache
-
-	mkdir -p ${bfbuilddir}
-ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	cd ${bfbuilddir} && AWK=/usr/bin/awk \
-		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
-		CFLAGS="${CFLAGS} ${BF_CFLAGS}"
-else
-	cd ${bfbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
-		${topdir}/configure ${COMMON_CONF_FLAGS} ${BF_CONF_FLAGS} \
-		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
-		CFLAGS="${CFLAGS}"
-endif
-	mkdir -p ${STAMPSDIR}
-	touch ${CFGBFSTAMP}
-
-${CFGSTATICSTAMP}:
-	dh_testdir
-	rm -f config.cache
-
-	mkdir -p ${staticbuilddir}
-ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	if type diet > /dev/null  2>&1 ; then \
-		cd ${staticbuilddir} && AWK=/usr/bin/awk \
-		${topdir}/configure ${STATIC_CONF_FLAGS} \
-		--with-diet-libc CFLAGS="${CFLAGS}"; \
-	else \
-		cd ${staticbuilddir} && AWK=/usr/bin/awk \
