=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,6 @@
 ifeq ($(SYS_BLKID_VER),2)
 UTIL_LINUX_NG ?= yes
 endif
-# no chance that pkg-create-dbgsym can cope with this package's manual construction of -dbg
-export NO_PKG_MANGLE=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -115,6 +113,13 @@
 #INSTALL_PROGRAM += -s
 #endif
 
+DEFAULT_CFLAGS = -g -O2
+DEFAULT_LDFLAGS = -Wl,-Bsymbolic-functions
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+
 ifeq (${DEB_HOST_ARCH},alpha)
 CFLAGS += -DHAVE_NETINET_IN_H
 else
@@ -216,17 +221,13 @@
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	cd ${stdbuilddir} && AWK=/usr/bin/awk \
 		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
-		CFLAGS="${CFLAGS}"
+		CFLAGS="${CFLAGS}" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 else
 	cd ${stdbuilddir} && AWK=/usr/bin/awk CC="${DEB_HOST_GNU_TYPE}-gcc" \
 		${topdir}/configure ${COMMON_CONF_FLAGS} ${STD_CONF_FLAGS} \
 		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
-		CFLAGS="${CFLAGS}"
+		CFLAGS="${CFLAGS}" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 endif
 
   # specially-built MIPS libs
 ifneq ($(ismips),)
-	mkdir -p ${mipsbuilddir} ${mipsbuilddir64}
-	cd ${mipsbuilddir} && AWK=/usr/bin/awk \
-		${topdir}/configure ${MIPS_NOPIC_CONF_FLAGS} CFLAGS="${CFLAGS}"
-	cd ${mipsbuilddir64} && AWK=/usr/bin/awk \
